slarrr.f(3)

NAME
slarrr.f

SYNOPSIS

  Functions/Subroutines
subroutine slarrr (N, D, E, INFO)
SLARRR performs tests to decide whether the symmetric tridiagonal matrix T warrants expensive computations which guarantee high relative accuracy in the eigenvalues.

Function/Subroutine Documentation

  subroutine slarrr (integer N, real, dimension( * ) D, real, dimension( * ) E, integer INFO)

Purpose:

     Perform tests to decide whether the symmetric tridiagonal matrix T
     warrants expensive computations which guarantee high relative accuracy
     in the eigenvalues.

Parameters
    N

              N is INTEGER
              The order of the matrix. N > 0.

    D

              D is REAL array, dimension (N)
              The N diagonal elements of the tridiagonal matrix T.

    E

              E is REAL array, dimension (N)
              On entry, the first (N-1) entries contain the subdiagonal
              elements of the tridiagonal matrix T; E(N) is set to ZERO.

    INFO

              INFO is INTEGER
              INFO = 0(default) : the matrix warrants computations preserving
                                  relative accuracy.
              INFO = 1          : the matrix warrants computations guaranteeing
                                  only absolute accuracy.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Beresford Parlett, University of California, Berkeley, USA
     Jim Demmel, University of California, Berkeley, USA
     Inderjit Dhillon, University of Texas, Austin, USA
     Osni Marques, LBNL/NERSC, USA
     Christof Voemel, University of California, Berkeley, USA

Definition at line 93 of file slarrr.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.